

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7. Reference manual &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="_static/favicon.ico"/>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="7.1. Executables" href="reference/executables.html" />
    <link rel="prev" title="6. Client" href="client.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../ja/html/reference.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="reference/executables.html" title="7.1. Executables"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="client.html" title="6. Client"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7. </span>Reference manual</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="reference-manual">
<h1><span class="section-number">7. </span>Reference manual<a class="headerlink" href="#reference-manual" title="Permalink to this headline">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="reference/executables.html">7.1. Executables</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/executables/grndb.html">7.1.1. <code class="docutils literal notranslate"><span class="pre">grndb</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/executables/grnslap.html">7.1.2. grnslap</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/executables/groonga.html">7.1.3. <code class="docutils literal notranslate"><span class="pre">groonga</span></code> executable file</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/executables/groonga-benchmark.html">7.1.4. groonga-benchmark</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/executables/groonga-httpd.html">7.1.5. groonga-httpd</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/executables/groonga-server-http.html">7.1.6. Groonga HTTP server</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/executables/groonga-suggest-create-dataset.html">7.1.7. groonga-suggest-create-dataset</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/executables/groonga-suggest-httpd.html">7.1.8. <code class="docutils literal notranslate"><span class="pre">groonga-suggest-httpd</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/executables/groonga-suggest-learner.html">7.1.9. groonga-suggest-learner</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/output.html">7.2. Output</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/output.html#usage">7.2.1. Usage</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/command.html">7.3. Command</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/command/command_version.html">7.3.1. Command version</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/command/output_format.html">7.3.2. Output format</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/command/pretty_print.html">7.3.3. Pretty print</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/command/request_id.html">7.3.4. Request ID</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/command/request_timeout.html">7.3.5. Request timeout</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/command/return_code.html">7.3.6. Return code</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/cache_limit.html">7.3.7. <code class="docutils literal notranslate"><span class="pre">cache_limit</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/check.html">7.3.8. <code class="docutils literal notranslate"><span class="pre">check</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/clearlock.html">7.3.9. <code class="docutils literal notranslate"><span class="pre">clearlock</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/column_copy.html">7.3.10. <code class="docutils literal notranslate"><span class="pre">column_copy</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/column_create.html">7.3.11. <code class="docutils literal notranslate"><span class="pre">column_create</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/column_list.html">7.3.12. <code class="docutils literal notranslate"><span class="pre">column_list</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/column_remove.html">7.3.13. <code class="docutils literal notranslate"><span class="pre">column_remove</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/column_rename.html">7.3.14. <code class="docutils literal notranslate"><span class="pre">column_rename</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/config_delete.html">7.3.15. <code class="docutils literal notranslate"><span class="pre">config_delete</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/config_get.html">7.3.16. <code class="docutils literal notranslate"><span class="pre">config_get</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/config_set.html">7.3.17. <code class="docutils literal notranslate"><span class="pre">config_set</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/database_unmap.html">7.3.18. <code class="docutils literal notranslate"><span class="pre">database_unmap</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/define_selector.html">7.3.19. <code class="docutils literal notranslate"><span class="pre">define_selector</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/defrag.html">7.3.20. <code class="docutils literal notranslate"><span class="pre">defrag</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/delete.html">7.3.21. <code class="docutils literal notranslate"><span class="pre">delete</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/dump.html">7.3.22. <code class="docutils literal notranslate"><span class="pre">dump</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/index_column_diff.html">7.3.23. <code class="docutils literal notranslate"><span class="pre">index_column_diff</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/io_flush.html">7.3.24. <code class="docutils literal notranslate"><span class="pre">io_flush</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/load.html">7.3.25. <code class="docutils literal notranslate"><span class="pre">load</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/lock_acquire.html">7.3.26. <code class="docutils literal notranslate"><span class="pre">lock_acquire</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/lock_clear.html">7.3.27. <code class="docutils literal notranslate"><span class="pre">lock_clear</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/lock_release.html">7.3.28. <code class="docutils literal notranslate"><span class="pre">lock_release</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/log_level.html">7.3.29. <code class="docutils literal notranslate"><span class="pre">log_level</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/log_put.html">7.3.30. <code class="docutils literal notranslate"><span class="pre">log_put</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/log_reopen.html">7.3.31. <code class="docutils literal notranslate"><span class="pre">log_reopen</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/logical_count.html">7.3.32. <code class="docutils literal notranslate"><span class="pre">logical_count</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/logical_parameters.html">7.3.33. <code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/logical_range_filter.html">7.3.34. <code class="docutils literal notranslate"><span class="pre">logical_range_filter</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/logical_select.html">7.3.35. <code class="docutils literal notranslate"><span class="pre">logical_select</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/logical_shard_list.html">7.3.36. <code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/logical_table_remove.html">7.3.37. <code class="docutils literal notranslate"><span class="pre">logical_table_remove</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/normalize.html">7.3.38. <code class="docutils literal notranslate"><span class="pre">normalize</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/normalizer_list.html">7.3.39. <code class="docutils literal notranslate"><span class="pre">normalizer_list</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/object_exist.html">7.3.40. <code class="docutils literal notranslate"><span class="pre">object_exist</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/object_inspect.html">7.3.41. <code class="docutils literal notranslate"><span class="pre">object_inspect</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/object_list.html">7.3.42. <code class="docutils literal notranslate"><span class="pre">object_list</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/object_remove.html">7.3.43. <code class="docutils literal notranslate"><span class="pre">object_remove</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/plugin_register.html">7.3.44. <code class="docutils literal notranslate"><span class="pre">plugin_register</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/plugin_unregister.html">7.3.45. <code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/query_expand.html">7.3.46. <code class="docutils literal notranslate"><span class="pre">query_expand</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/quit.html">7.3.47. <code class="docutils literal notranslate"><span class="pre">quit</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/range_filter.html">7.3.48. <code class="docutils literal notranslate"><span class="pre">range_filter</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/reference_acquire.html">7.3.49. <code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/reference_release.html">7.3.50. <code class="docutils literal notranslate"><span class="pre">reference_release</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/register.html">7.3.51. <code class="docutils literal notranslate"><span class="pre">register</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/reindex.html">7.3.52. <code class="docutils literal notranslate"><span class="pre">reindex</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/request_cancel.html">7.3.53. <code class="docutils literal notranslate"><span class="pre">request_cancel</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/ruby_eval.html">7.3.54. <code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/ruby_load.html">7.3.55. <code class="docutils literal notranslate"><span class="pre">ruby_load</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/schema.html">7.3.56. <code class="docutils literal notranslate"><span class="pre">schema</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/select.html">7.3.57. <code class="docutils literal notranslate"><span class="pre">select</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/shutdown.html">7.3.58. <code class="docutils literal notranslate"><span class="pre">shutdown</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/status.html">7.3.59. <code class="docutils literal notranslate"><span class="pre">status</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/suggest.html">7.3.60. <code class="docutils literal notranslate"><span class="pre">suggest</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/table_copy.html">7.3.61. <code class="docutils literal notranslate"><span class="pre">table_copy</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/table_create.html">7.3.62. <code class="docutils literal notranslate"><span class="pre">table_create</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/table_list.html">7.3.63. <code class="docutils literal notranslate"><span class="pre">table_list</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/table_remove.html">7.3.64. <code class="docutils literal notranslate"><span class="pre">table_remove</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/table_rename.html">7.3.65. <code class="docutils literal notranslate"><span class="pre">table_rename</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/table_tokenize.html">7.3.66. <code class="docutils literal notranslate"><span class="pre">table_tokenize</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/thread_limit.html">7.3.67. <code class="docutils literal notranslate"><span class="pre">thread_limit</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/tokenize.html">7.3.68. <code class="docutils literal notranslate"><span class="pre">tokenize</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/tokenizer_list.html">7.3.69. <code class="docutils literal notranslate"><span class="pre">tokenizer_list</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/commands/truncate.html">7.3.70. <code class="docutils literal notranslate"><span class="pre">truncate</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/types.html">7.4. Data types</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/types.html#name">7.4.1. Name</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/types.html#description">7.4.2. Description</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/types.html#builtin-types">7.4.3. Builtin types</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/types.html#limitations-about-types">7.4.4. Limitations about types</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/tables.html">7.5. Tables</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/tables.html#summary">7.5.1. Summary</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tables.html#characteristics">7.5.2. Characteristics</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tables.html#record-id">7.5.3. Record ID</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tables.html#persistent-table-and-temporary-table">7.5.4. Persistent table and temporary table</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tables.html#limitations">7.5.5. Limitations</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tables.html#see-also">7.5.6. See also</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/column.html">7.6. Column</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/columns/scalar.html">7.6.1. Scalar column</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/columns/vector.html">7.6.2. Vector column</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/columns/pseudo.html">7.6.3. Pseudo column</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/columns/index.html">7.6.4. Index column</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/normalizers.html">7.7. Normalizers</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/normalizers.html#summary">7.7.1. Summary</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/normalizers.html#built-in-normalizers">7.7.2. Built-in normalizers</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/normalizers.html#additional-normalizers">7.7.3. Additional normalizers</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/normalizers.html#see-also">7.7.4. See also</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/tokenizers.html">7.8. Tokenizers</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizer/summary.html">7.8.1. Summary</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_bigram.html">7.8.2. <code class="docutils literal notranslate"><span class="pre">TokenBigram</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_bigram_ignore_blank.html">7.8.3. <code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlank</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_bigram_ignore_blank_split_symbol.html">7.8.4. <code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbol</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_bigram_ignore_blank_split_symbol_alpha.html">7.8.5. <code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbolAlpha</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_bigram_ignore_blank_split_symbol_alpha_digit.html">7.8.6. <code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbolAlphaDigit</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_bigram_split_symbol.html">7.8.7. <code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbol</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_bigram_split_symbol_alpha.html">7.8.8. <code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbolAlpha</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_bigram_split_symbol_alpha_digit.html">7.8.9. <code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbolAlphaDigit</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_delimit.html">7.8.10. <code class="docutils literal notranslate"><span class="pre">TokenDelimit</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_delimit_null.html">7.8.11. <code class="docutils literal notranslate"><span class="pre">TokenDelimitNull</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_mecab.html">7.8.12. <code class="docutils literal notranslate"><span class="pre">TokenMecab</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_ngram.html">7.8.13. <code class="docutils literal notranslate"><span class="pre">TokenNgram</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_pattern.html">7.8.14. <code class="docutils literal notranslate"><span class="pre">TokenPattern</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_regexp.html">7.8.15. <code class="docutils literal notranslate"><span class="pre">TokenRegexp</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_table.html">7.8.16. <code class="docutils literal notranslate"><span class="pre">TokenTable</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_trigram.html">7.8.17. <code class="docutils literal notranslate"><span class="pre">TokenTrigram</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tokenizers/token_unigram.html">7.8.18. <code class="docutils literal notranslate"><span class="pre">TokenUnigram</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/token_filters.html">7.9. Token filters</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/token_filter/summary.html">7.9.1. Summary</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/token_filters/token_filter_nfkc100.html">7.9.2. <code class="docutils literal notranslate"><span class="pre">TokenFilterNFKC100</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/token_filters/token_filter_stem.html">7.9.3. <code class="docutils literal notranslate"><span class="pre">TokenFilterStem</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/token_filters/token_filter_stop_word.html">7.9.4. <code class="docutils literal notranslate"><span class="pre">TokenFilterStopWord</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/query_expanders.html">7.10. Query expanders</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/query_expanders/tsv.html">7.10.1. QueryExpanderTSV</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/scorer.html">7.11. Scorer</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/scorer.html#summary">7.11.1. Summary</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/scorer.html#usage">7.11.2. Usage</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/scorer.html#built-in-scorers">7.11.3. Built-in scorers</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/cast.html">7.12. Cast</a></li>
<li class="toctree-l1"><a class="reference internal" href="reference/grn_expr.html">7.13. grn_expr</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/grn_expr/query_syntax.html">7.13.1. Query syntax</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/grn_expr/script_syntax.html">7.13.2. Script syntax</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/grn_expr.html#see-also">7.13.3. See also</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/regular_expression.html">7.14. Regular expression</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/regular_expression.html#summary">7.14.1. Summary</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/regular_expression.html#usage">7.14.2. Usage</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/regular_expression.html#index">7.14.3. Index</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/regular_expression.html#syntax">7.14.4. Syntax</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/function.html">7.15. Function</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/between.html">7.15.1. <code class="docutils literal notranslate"><span class="pre">between</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/cast_loose.html">7.15.2. <code class="docutils literal notranslate"><span class="pre">cast_loose</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/edit_distance.html">7.15.3. edit_distance</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/fuzzy_search.html">7.15.4. <code class="docutils literal notranslate"><span class="pre">fuzzy_search</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/geo_distance.html">7.15.5. <code class="docutils literal notranslate"><span class="pre">geo_distance</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/geo_in_circle.html">7.15.6. geo_in_circle</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/geo_in_rectangle.html">7.15.7. geo_in_rectangle</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/highlight_full.html">7.15.8. <code class="docutils literal notranslate"><span class="pre">highlight_full</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/highlight_html.html">7.15.9. <code class="docutils literal notranslate"><span class="pre">highlight_html</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/html_untag.html">7.15.10. <code class="docutils literal notranslate"><span class="pre">html_untag</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/in_records.html">7.15.11. <code class="docutils literal notranslate"><span class="pre">in_records</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/in_values.html">7.15.12. <code class="docutils literal notranslate"><span class="pre">in_values</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/math_abs.html">7.15.13. <code class="docutils literal notranslate"><span class="pre">math_abs</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/now.html">7.15.14. now</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/number_classify.html">7.15.15. <code class="docutils literal notranslate"><span class="pre">number_classify</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/prefix_rk_search.html">7.15.16. <code class="docutils literal notranslate"><span class="pre">prefix_rk_search</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/query.html">7.15.17. <code class="docutils literal notranslate"><span class="pre">query</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/rand.html">7.15.18. rand</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/snippet_html.html">7.15.19. <code class="docutils literal notranslate"><span class="pre">snippet_html</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/string_length.html">7.15.20. <code class="docutils literal notranslate"><span class="pre">string_length</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/string_substring.html">7.15.21. <code class="docutils literal notranslate"><span class="pre">string_substring</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/sub_filter.html">7.15.22. <code class="docutils literal notranslate"><span class="pre">sub_filter</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/time_classify_day.html">7.15.23. <code class="docutils literal notranslate"><span class="pre">time_classify_day</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/time_classify_day_of_week.html">7.15.24. <code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/time_classify_hour.html">7.15.25. <code class="docutils literal notranslate"><span class="pre">time_classify_hour</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/time_classify_minute.html">7.15.26. <code class="docutils literal notranslate"><span class="pre">time_classify_minute</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/time_classify_month.html">7.15.27. <code class="docutils literal notranslate"><span class="pre">time_classify_month</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/time_classify_second.html">7.15.28. <code class="docutils literal notranslate"><span class="pre">time_classify_second</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/time_classify_week.html">7.15.29. <code class="docutils literal notranslate"><span class="pre">time_classify_week</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/time_classify_year.html">7.15.30. <code class="docutils literal notranslate"><span class="pre">time_classify_year</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/vector_find.html">7.15.31. <code class="docutils literal notranslate"><span class="pre">vector_find</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/vector_new.html">7.15.32. <code class="docutils literal notranslate"><span class="pre">vector_new</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/vector_size.html">7.15.33. <code class="docutils literal notranslate"><span class="pre">vector_size</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/functions/vector_slice.html">7.15.34. <code class="docutils literal notranslate"><span class="pre">vector_slice</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/window_function.html">7.16. Window function</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/window_functions/record_number.html">7.16.1. <code class="docutils literal notranslate"><span class="pre">record_number</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/window_functions/window_count.html">7.16.2. <code class="docutils literal notranslate"><span class="pre">window_count</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/window_functions/window_record_number.html">7.16.3. <code class="docutils literal notranslate"><span class="pre">window_record_number</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/window_functions/window_sum.html">7.16.4. <code class="docutils literal notranslate"><span class="pre">window_sum</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/operations.html">7.17. Operations</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/operations/geolocation_search.html">7.17.1. Geolocation search</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/operations/prefix_rk_search.html">7.17.2. Prefix RK search</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/configuration.html">7.18. Configuration</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/configuration.html#summary">7.18.1. Summary</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/configuration.html#commands">7.18.2. Commands</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/alias.html">7.19. Alias</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/alias.html#summary">7.19.1. Summary</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/alias.html#usage">7.19.2. Usage</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/alias.html#how-to-resolve-alias">7.19.3. How to resolve alias</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/alias.html#see-also">7.19.4. See also</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/suggest.html">7.20. Suggest</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/suggest/introduction.html">7.20.1. Introduction</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/suggest/completion.html">7.20.2. Completion</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/suggest/correction.html">7.20.3. Correction</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/suggest/suggestion.html">7.20.4. Suggestion</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/indexing.html">7.21. Indexing</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/indexing.html#online-index-construction">7.21.1. Online index construction</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/indexing.html#offline-index-construction">7.21.2. Offline index construction</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/indexing.html#how-to-use">7.21.3. How to use</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/sharding.html">7.22. Sharding</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/sharding.html#summary">7.22.1. Summary</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/sharding.html#glossary">7.22.2. Glossary</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/sharding.html#rules">7.22.3. Rules</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/sharding.html#commands">7.22.4. Commands</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/log.html">7.23. Log</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/log.html#process-log">7.23.1. Process log</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/log.html#query-log">7.23.2. Query log</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/tuning.html">7.24. Tuning</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/tuning.html#summary">7.24.1. Summary</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tuning.html#parameters">7.24.2. Parameters</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tuning.html#linux">7.24.3. Linux</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/tuning.html#freebsd">7.24.4. FreeBSD</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="reference/api.html">7.25. API</a><ul>
<li class="toctree-l2"><a class="reference internal" href="reference/api/overview.html">7.25.1. Overview</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/global_configurations.html">7.25.2. Global configurations</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/plugin.html">7.25.3. Plugin</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_cache.html">7.25.4. <code class="docutils literal notranslate"><span class="pre">grn_cache</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_column.html">7.25.5. <code class="docutils literal notranslate"><span class="pre">grn_column</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_command_version.html">7.25.6. <code class="docutils literal notranslate"><span class="pre">grn_command_version</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_content_type.html">7.25.7. <code class="docutils literal notranslate"><span class="pre">grn_content_type</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_ctx.html">7.25.8. <code class="docutils literal notranslate"><span class="pre">grn_ctx</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_db.html">7.25.9. <code class="docutils literal notranslate"><span class="pre">grn_db</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_encoding.html">7.25.10. <code class="docutils literal notranslate"><span class="pre">grn_encoding</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_expr.html">7.25.11. grn_expr</a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_geo.html">7.25.12. <code class="docutils literal notranslate"><span class="pre">grn_geo</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_hook.html">7.25.13. <code class="docutils literal notranslate"><span class="pre">grn_hook</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_ii.html">7.25.14. <code class="docutils literal notranslate"><span class="pre">grn_ii</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_index_cursor.html">7.25.15. <code class="docutils literal notranslate"><span class="pre">grn_index_cursor</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_info.html">7.25.16. <code class="docutils literal notranslate"><span class="pre">grn_info</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_inspect.html">7.25.17. <code class="docutils literal notranslate"><span class="pre">grn_inspect</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_match_escalation.html">7.25.18. <code class="docutils literal notranslate"><span class="pre">grn_match_escalation</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_obj.html">7.25.19. <code class="docutils literal notranslate"><span class="pre">grn_obj</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_proc.html">7.25.20. <code class="docutils literal notranslate"><span class="pre">grn_proc</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_search.html">7.25.21. <code class="docutils literal notranslate"><span class="pre">grn_search</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_table.html">7.25.22. <code class="docutils literal notranslate"><span class="pre">grn_table</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_table_cursor.html">7.25.23. <code class="docutils literal notranslate"><span class="pre">grn_table_cursor</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_thread.html">7.25.24. <code class="docutils literal notranslate"><span class="pre">grn_thread_*</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_type.html">7.25.25. <code class="docutils literal notranslate"><span class="pre">grn_type</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="reference/api/grn_user_data.html">7.25.26. <code class="docutils literal notranslate"><span class="pre">grn_user_data</span></code></a></li>
</ul>
</li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="client.html"
                        title="previous chapter"><span class="section-number">6. </span>Client</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="reference/executables.html"
                        title="next chapter"><span class="section-number">7.1. </span>Executables</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="reference/executables.html" title="7.1. Executables"
             >next</a> |</li>
        <li class="right" >
          <a href="client.html" title="6. Client"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7. </span>Reference manual</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>